# Saca y envia volcado de la base a otra máquina.
# Es apropiado para cron.
# Dominio público. 2005

# Este archivo es apropiado para ser usado con cron.
# Por ejemplo programe el respaldo diario a las 12:00M con
# $ crontab -e
# 0 12 * * * cd /home/sivel/sivel/; ./respaldo.sh > /tmp/respaldo-stdout 2> /tmp/respaldo-stderr

# Ojo con permisos.  Verifique que opera bien con el usuario que
# ejecutará la tarea.

if (test ! -f vardb.sh) then {
	echo "Ejecute desde directorio de SIVeL";
	exit 1;
} fi;
. ./vardb.sh


./bin/pgdump.sh
rm -f $rlocal/$n.gz
cp -f $rlocal/$h.gz $rlocal/$n.gz
(cd ..; tar cfz $rlocal/sivelphp-$dm.tar.gz)

for i in $rremotos; do 
	echo scp -i $llave $rlocal/$n.gz $i
	scp -i $llave $rlocal/$n.gz $i
done;
